Package fr.gouv.vitam.collect.common.exception

# Class CollectInternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.collect.common.exception.CollectInternalException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CollectInternalInvalidRequestException`, `CollectInternalNotFoundException`, `CollectInternalServerSideException`

public class CollectInternalException extends VitamException
Exception is the superclass of all VITAM processing exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectInternalException(String message)`
  ProcessingException constructor Construct the processing exception with a message
  `CollectInternalException(String message, Throwable cause)`
  ProcessingException constructor Construct the processing exception with a message and a throwable exception
  `CollectInternalException(Throwable cause)`
  ProcessingException constructor Construct the processing exception with a throwable exception

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CollectInternalException

    public CollectInternalException(String message, Throwable cause)
    ProcessingException constructor Construct the processing exception with a message and a throwable exception
    Parameters:
      `message` - associated message
      `cause` - associated cause

  - ### CollectInternalException

    public CollectInternalException(Throwable cause)
    ProcessingException constructor Construct the processing exception with a throwable exception
    Parameters:
      `cause` - associated cause

  - ### CollectInternalException

    public CollectInternalException(String message)
    ProcessingException constructor Construct the processing exception with a message
    Parameters:
      `message` - associated message